<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Musicsong Pro
	 * @since Musicsong Pro 1.0.0
	 */

	/**
	 * musicsong_pro_doctype hook
	 *
	 * @hooked musicsong_pro_doctype -  10
	 *
	 */
	do_action( 'musicsong_pro_doctype' );

?>
<head>
<?php
	/**
	 * musicsong_pro_before_wp_head hook
	 *
	 * @hooked musicsong_pro_head -  10
	 *
	 */
	do_action( 'musicsong_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>
<?php
	/**
	 * musicsong_pro_page_start_action hook
	 *
	 * @hooked musicsong_pro_page_start -  10
	 *
	 */
	do_action( 'musicsong_pro_page_start_action' ); 

	/**
	 * musicsong_pro_loader_action hook
	 *
	 * @hooked musicsong_pro_loader -  10
	 *
	 */
	do_action( 'musicsong_pro_before_header' );

	/**
	 * musicsong_pro_header_action hook
	 *
	 * @hooked musicsong_pro_header_start -  10
	 * @hooked musicsong_pro_site_branding -  20
	 * @hooked musicsong_pro_site_navigation -  30
	 * @hooked musicsong_pro_header_end -  50
	 *
	 */
	do_action( 'musicsong_pro_header_action' );

	/**
	 * musicsong_pro_content_start_action hook
	 *
	 * @hooked musicsong_pro_content_start -  10
	 *
	 */
	do_action( 'musicsong_pro_content_start_action' );

	/**
	 * musicsong_pro_header_image_action hook
	 *
	 * @hooked musicsong_pro_header_image -  10
	 *
	 */
	do_action( 'musicsong_pro_header_image_action' );

    if ( musicsong_pro_is_frontpage() ) {

    	$sections = musicsong_pro_sortable_sections();
		foreach ( $sections as $section => $value ) {
			add_action( 'musicsong_pro_primary_content', 'musicsong_pro_add_'. $section .'_section', musicsong_pro_sort( $section ) );
		}
		do_action( 'musicsong_pro_primary_content' );
	}