<?php
/**
 * Playlist Section options
 *
 * @package Theme Palace
 * @subpackage Musicsong Pro
 * @since Musicsong Pro 1.0.0
 */

// Add Playlist section
$wp_customize->add_section( 'musicsong_pro_playlist_section', array(
	'title'             => esc_html__( 'Playlist','musicsong-pro' ),
	'description'       => esc_html__( 'Playlist Section options.', 'musicsong-pro' ),
	'panel'             => 'musicsong_pro_front_page_panel',
) );

// Playlist content enable control and setting
$wp_customize->add_setting( 'musicsong_pro_theme_options[playlist_section_enable]', array(
	'default'			=> 	$options['playlist_section_enable'],
	'sanitize_callback' => 'musicsong_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Musicsong_Pro_Switch_Control( $wp_customize, 'musicsong_pro_theme_options[playlist_section_enable]', array(
	'label'             => esc_html__( 'Playlist Section Enable', 'musicsong-pro' ),
	'section'           => 'musicsong_pro_playlist_section',
	'on_off_label' 		=> musicsong_pro_switch_options(),
) ) );

// playlist posts drop down chooser control and setting
$wp_customize->add_setting( 'musicsong_pro_theme_options[playlist_content]', array(
	'sanitize_callback' => 'musicsong_pro_sanitize_array_int',
) );

$wp_customize->add_control( new Musicsong_Pro_Multiple_Dropdown_Chooser( $wp_customize, 'musicsong_pro_theme_options[playlist_content]', array(
	'label'             => esc_html__( 'Select Multiple Audios', 'musicsong-pro' ),
	'section'           => 'musicsong_pro_playlist_section',
	'choices'			=> musicsong_pro_audio_choices(),
	'active_callback'	=> 'musicsong_pro_is_playlist_section_enable',
) ) );

